Subject: Re: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Glenn Morris <[email-masked]>
Date: Wed, 25 Jan 2012 14:05:35 -0500

Dov Grobgeld wrote:

> 2. The following command in gdb-input starts the 40s 100% CPU:
>
>   (process-send-string (get-buffer-process gud-comint-buffer)
>                (concat command "\n")))
>
> where command="1-inferior-tty-set /dev/pts/9". Note that the command
> returns immediately, but some other thread apparently gets very busy.

Thanks for the detective work. I'm afraid I don't know what to do about
this. It looks like process handling is messed up somehow.

I hope someone else on this list can help you further.